Cyberduck Mountain Duck CLI

#8658 closed enhancement (fixed)

Add argument to set permissions on file upload

Reported by: JasonL Owned by: dkocher
Priority: normal Milestone: 5.0.3
Component: cli Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

There does not appear to be any argument with Cyberduck CLI to set the file permissions when uploading. There is an argument to preserver the permissions, but not to set/change them when uploading. Since this is already supported by the main Cyberduck application I would hope this wouldn't be too hard to add to the CLI version.

Change History (6)

comment:1 Changed on Mar 12, 2015 at 7:47:31 PM by JasonL

  • Component changed from core to cli

comment:2 Changed on Mar 13, 2015 at 9:03:21 PM by dkocher

  • Milestone set to 4.7
  • Summary changed from Add argument to set permissions on file upload for Cyberduck CLI to Add argument to set permissions on file upload

comment:3 Changed on Apr 1, 2015 at 2:52:27 PM by dkocher

  • Milestone changed from 4.7 to 4.8
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on May 18, 2016 at 3:28:10 PM by dkocher

  • Milestone 5.0 deleted

comment:5 Changed on Jun 10, 2016 at 6:24:49 PM by dkocher

  • Milestone set to 5.1

comment:6 Changed on Jun 13, 2016 at 7:40:26 PM by dkocher

  • Milestone changed from 5.1 to 5.0.3
  • Resolution set to fixed
  • Status changed from assigned to closed

In r20880.

Note: See TracTickets for help on using tickets.
swiss made software